@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.wizard{
    max-width: 800px;

    .step-title{
        font-weight: 900;
        font-size: 30px;
        text-transform: uppercase;
        display: flex;
        align-items: center;

        @include mq.media-up(xl){
            font-size: 44px;
        }
    }

    .step-title .icon{
        width: 48px;
        margin-right: 28px;
    }

    &-steps{
        display: flex;
        justify-content: space-around;
        position: relative;
    }

    &-progress{
        position: absolute;
        background-color: #EAEAEA;
        border-radius: 6px;
        height: 12px;
        width: 100%;
        bottom: -24px;
    }

    &-progress-bar{
        height: 100%;
        border-radius: 6px;
        background-color: c.$primary-1;
    }

    .btn{
        width: 100%;
        
        @include mq.media-up(sm){
            max-width: 220px;
        }
    }

    .step{
        width: 36px;
    }

}

.sample-wizard{
    right: -40%;
    top: -40%;
    

    @include mq.media-up(xl){
        top: -20%;
        right: -70%;
    }
}